//sprite and state defs
freeslot(
"S_PLAY_FACEPLANT",
"SPR2_DWFT",
"S_PLAY_DROWNFLOAT",
"SPR2_GOFL",
"S_PLAY_GOOFALL",
"SPR2_GPSP",
"S_PLAY_GROUNDPOUNDSTART",
"SPR2_GPND",
"S_PLAY_GROUNDPOUNDAIR",
"SPR2_GEND",
"S_PLAY_GROUNDPOUNDEND",
"SPR2_SLDE",
"S_PLAY_DIVESLIDE",
"S_PLAY_AJPEELOUT1",
"S_PLAY_AJPEELOUT2",
"S_PLAY_AJPEELOUT3",
"S_PLAY_AJPEELOUT4",
"S_PLAY_AJPEELOUT5",
"S_PLAY_AJPEELOUT6",
"S_PLAY_AJPEELOUT7",
"S_PLAY_AJPEELOUT8",
"S_PLAY_AJPEELOUT9",
"S_PLAY_AJPEELOUT10",
"S_PLAY_AJPEELOUT11",
"S_PLAY_AJPEELOUT12",
"S_PLAY_AJPEELOUT13",
"S_PLAY_AJPEELOUT14",
"S_PLAY_AJPEELOUT15",
"S_PLAY_AJPEELOUT16",
"S_PLAY_AJPEELOUT17",
"S_PLAY_AJPEELOUT18",
"S_PLAY_AJPEELOUT19",
"S_PLAY_AJPEELOUT20"
)

//wait state defs
freeslot(
"SPR2_BRNG",
"S_PLAY_WAITAJ",
"SPR2_BLNK",
"S_PLAY_AJBLINK",
"SPR2_WAI2",
"S_PLAY_WAITWO",
"SPR2_WAI3",
"S_PLAY_WAITHREE"
)

//wait state defs (underwater)
freeslot(
"SPR2_BRWR",
"S_PLAY_UNDERWATER_WAIT_AJ",
"S_PLAY_WAITWO_UNDERWATER",
"S_PLAY_WAITHREE_UNDERWATER",
"S_PLAY_HOLDMOUTH",
"SPR2_HMTH"
)

//wait state freezing cold
freeslot(
"S_PLAY_AJ_FREEZINGCOLD",
"SPR2_FRZZ",
"S_PLAY_AJ_FREEZINGCOLD_BLINK",
"SPR2_FRZB"
)



states[S_PLAY_DROWNFLOAT] = {
	sprite = SPR_PLAY,
	frame = SPR2_DWFT,
	tics = 5,
	var1 = 2,
	var2 = 1,
	nextstate = S_PLAY_DROWNFLOAT
}

states[S_PLAY_GOOFALL] = {
	sprite = SPR_PLAY,
	frame = SPR2_GOFL|FF_ANIMATE,
	tics = 3,
	var1 = 2,
	var2 = 1,
	nextstate = S_PLAY_GOOFALL
}

states[S_PLAY_GROUNDPOUNDSTART] = {
	sprite = SPR_PLAY,
	frame = SPR2_GPSP|FF_ANIMATE,
	tics = 10,
	var1 = 2,
	var2 = 4,
	nextstate = S_PLAY_GROUNDPOUNDAIR
}

states[S_PLAY_GROUNDPOUNDAIR] = {
	sprite = SPR_PLAY,
	frame = SPR2_GPND|FF_ANIMATE,
	tics = 900000000,
	var1 = 2,
	var2 = 1,
	nextstate = S_PLAY_GROUNDPOUNDEND
}

states[S_PLAY_GROUNDPOUNDEND] = {
	sprite = SPR_PLAY,
	frame = SPR2_GEND,
	tics = 17,
	var1 = 1,
	var2 = 1,
	nextstate = S_PLAY_STND
}

states[S_PLAY_DIVESLIDE] = {
	sprite = SPR_PLAY,
	frame = SPR2_SLDE,
	tics = 3,
	var1 = 2,
	var2 = 1,
	nextstate = S_PLAY_DIVESLIDE
}

---------------------------------------------------------------------------------------------------------------------------------

//peel out frames
states[S_PLAY_AJPEELOUT1] = {SPR_PLAY, SPR2_WALK|FF_ANIMATE, 20, nil, 5, 5, S_PLAY_AJPEELOUT2}
states[S_PLAY_AJPEELOUT2] = {SPR_PLAY, SPR2_WALK|FF_ANIMATE, 16, nil, 4, 4, S_PLAY_AJPEELOUT3}
states[S_PLAY_AJPEELOUT3] = {SPR_PLAY, SPR2_WALK|FF_ANIMATE, 12, nil, 3, 3, S_PLAY_AJPEELOUT4}
states[S_PLAY_AJPEELOUT4] = {SPR_PLAY, SPR2_RUN_|FF_ANIMATE, 10, nil, 2, 2, S_PLAY_AJPEELOUT5}
states[S_PLAY_AJPEELOUT5] = {SPR_PLAY, SPR2_RUN_|FF_ANIMATE, 6, nil, 1, 1, S_PLAY_AJPEELOUT6}
states[S_PLAY_AJPEELOUT6] = {SPR_PLAY, SPR2_DASH, 1, nil, 0, 0, S_PLAY_AJPEELOUT6}



---------------------------------------------------------------------------------------------------------------------------------


//wait states
states[S_PLAY_WAITAJ] = {
	sprite = SPR_PLAY,
	frame = SPR2_BRNG|FF_ANIMATE,
	tics = 200,
	var1 = 2,
	var2 = 6,
	nextstate = S_PLAY_STND
}

states[S_PLAY_WAITWO] = {
	sprite = SPR_PLAY,
	frame = SPR2_WAI2|FF_ANIMATE,
	tics = 220,
	var1 = 12,
	var2 = 4,
	nextstate = S_PLAY_STND
}

states[S_PLAY_WAITHREE] = {
	sprite = SPR_PLAY,
	frame = SPR2_WAI3|FF_ANIMATE,
	tics = 35,
	var1 = 7,
	var2 = 5,
	nextstate = S_PLAY_STND
}

states[S_PLAY_AJBLINK] = {
	sprite = SPR_PLAY,
	frame = SPR2_BLNK|FF_ANIMATE,
	tics = 4,
	var1 = 1,
	var2 = 1,
	nextstate = S_PLAY_STND
}

---------------------------------------------------------------------------------------------------------------------------------



//underwater
states[S_PLAY_UNDERWATER_WAIT_AJ] = {
	sprite = SPR_PLAY,
	frame = SPR2_BRWR|FF_ANIMATE,
	tics = 200,
	var1 = 2,
	var2 = 9,
	nextstate = S_PLAY_STND
}

states[S_PLAY_WAITWO_UNDERWATER] = {
	sprite = SPR_PLAY,
	frame = SPR2_WAI2|FF_ANIMATE,
	tics = 220,
	var1 = 12,
	var2 = 8,
	nextstate = S_PLAY_STND
}

states[S_PLAY_WAITHREE_UNDERWATER] = {
	sprite = SPR_PLAY,
	frame = SPR2_WAI3|FF_ANIMATE,
	tics = 22,
	var1 = 3,
	var2 = 5,
	nextstate = S_PLAY_HOLDMOUTH
}

states[S_PLAY_HOLDMOUTH] = {
	sprite = SPR_PLAY,
	frame = SPR2_HMTH,
	tics = 35,
	var1 = 1,
	var2 = 1,
	nextstate = S_PLAY_STND
}

//freezing cold (snow levels)
states[S_PLAY_AJ_FREEZINGCOLD] = {
	sprite = SPR_PLAY,
	frame = SPR2_FRZZ|FF_ANIMATE,
	tics = 160,
	var1 = 2,
	var2 = 2,
	nextstate = S_PLAY_AJ_FREEZINGCOLD_BLINK
}

states[S_PLAY_AJ_FREEZINGCOLD_BLINK] = {
	sprite = SPR_PLAY,
	frame = SPR2_FRZB,
	tics = 4,
	var1 = 1,
	var2 = 1,
	nextstate = S_PLAY_AJ_FREEZINGCOLD
}

---------------------------------------------------------------------------------------------------------------------------------



//custom wait anim
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  then return end
  
     player.ajwaitimer = $ or 0
  if player.mo.state == S_PLAY_STND
    player.ajwaitimer = $+1
  end
  
     player.waitanimation = $ or 0
  if player.ajwaitimer == 100
    player.waitanimation = P_RandomRange(1, 4)
	player.ajwaitimer = 0

  end
end)

//wait anim 1 (foot tap)
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  or player.mo.eflags & MFE_UNDERWATER
  or mapheaderinfo[gamemap].weather == PRECIP_SNOW
  then return end

    if player.waitanimation == 1
  player.mo.state = S_PLAY_WAITAJ
  player.waitanimation = 0
  player.ajwaitimer = 0
  else
  if player.mo.state == S_PLAY_WAITAJ and player.speed >= 2
  player.mo.state = S_PLAY_WALK
  player.waitanimation = 0
  player.ajwaitimer = 0
  
  end
 end
end)

//wait anim 2 (arm sway)
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  or player.mo.eflags & MFE_UNDERWATER
  or mapheaderinfo[gamemap].weather == PRECIP_SNOW
  then return end

    if player.waitanimation == 2
  player.mo.state = S_PLAY_WAITWO
  player.waitanimation = 0
  player.ajwaitimer = 0
  else
  if player.mo.state == S_PLAY_WAITWO and player.speed >= 2
  player.mo.state = S_PLAY_WALK
  player.waitanimation = 0
  player.ajwaitimer = 0
  
  end
 end
end)

//wait anim 3 (yawn)
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  or player.mo.eflags & MFE_UNDERWATER
  or mapheaderinfo[gamemap].weather == PRECIP_SNOW
  then return end

    if player.waitanimation == 3
  player.mo.state = S_PLAY_WAITHREE
  player.waitanimation = 0
  player.ajwaitimer = 0
  else
  if player.mo.state == S_PLAY_WAITHREE and player.speed >= 2
  player.mo.state = S_PLAY_WALK
  player.waitanimation = 0
  player.ajwaitimer = 0
  
  end
 end
end)

//wait anim 4 (blink)
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  or mapheaderinfo[gamemap].weather == PRECIP_SNOW
  then return end

    if player.waitanimation == 4
  player.mo.state = S_PLAY_AJBLINK
  player.waitanimation = 0
  player.ajwaitimer = 0
  else
  if player.mo.state == S_PLAY_AJBLINK and player.speed >= 2
  player.mo.state = S_PLAY_WALK
  player.waitanimation = 0
  player.ajwaitimer = 0
  
  end
 end
end)

----------------------------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------------------------

//underwater variants

//wait anim 1 (foot tap)
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  then return end

    if player.waitanimation == 1 and player.mo.eflags & MFE_UNDERWATER
  player.mo.state = S_PLAY_UNDERWATER_WAIT_AJ
  player.waitanimation = 0
  player.ajwaitimer = 0
  else
  if player.mo.state == S_PLAY_UNDERWATER_WAIT_AJ and player.speed >= 2
  player.mo.state = S_PLAY_WALK
  player.waitanimation = 0
  player.ajwaitimer = 0
  
  end
 end
end)


//wait anim 2 (arm sway)
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  then return end

    if player.waitanimation == 2 and player.mo.eflags & MFE_UNDERWATER
  player.mo.state = S_PLAY_WAITWO_UNDERWATER
  player.waitanimation = 0
  player.ajwaitimer = 0
  else
  if player.mo.state == S_PLAY_WAITWO_UNDERWATER and player.speed >= 2
  player.mo.state = S_PLAY_WALK
  player.waitanimation = 0
  player.ajwaitimer = 0
  
  end
 end
end)


//wait anim 3 (yawn)
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  then return end

    if player.waitanimation == 3 and player.mo.eflags & MFE_UNDERWATER
  player.mo.state = S_PLAY_WAITHREE_UNDERWATER
  player.waitanimation = 0
  player.ajwaitimer = 0
  else
  if player.mo.state == S_PLAY_WAITHREE_UNDERWATER and player.speed >= 2 or player.mo.state == S_PLAY_HOLDMOUTH and player.speed >= 2
  player.mo.state = S_PLAY_WALK
  player.waitanimation = 0
  player.ajwaitimer = 0
  
  end
 end
end)

//freezing in snow levels
addHook("PlayerThink",function(player)
  if player.mo.skin ~= "aj"
  then return end

    if player.waitanimation >= 1 and mapheaderinfo[gamemap].weather == PRECIP_SNOW
  player.mo.state = S_PLAY_AJ_FREEZINGCOLD
  player.waitanimation = 0
  player.ajwaitimer = 0
  else
  if player.mo.state == S_PLAY_AJ_FREEZINGCOLD and player.speed >= 2 or player.mo.state == S_PLAY_AJ_FREEZINGCOLD_BLINK and player.speed >= 2
  player.mo.state = S_PLAY_WALK
  player.waitanimation = 0
  player.ajwaitimer = 0
  
  end
 end
end)


