//skin defs
local gunajskin = "gunaj"
local normalajskin = "aj"

//custom powerups / color switches

//fire
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj" and not (player.powers[pw_shield] & SH_FIREFLOWER)
then return end

if (player.powers[pw_shield] & SH_FIREFLOWER) and player.mo.color == SKINCOLOR_WHITE
player.mo.color = SKINCOLOR_FIREAJ
   end
end)

//whirlwind skin switch
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_WHIRLWIND)
P_RemoveShield(player, gunajskin)
P_RemoveShield(player, normalajskin)
R_SetPlayerSkin(player, gunajskin)

 end
end)

//if gun aj gets a fire flower he gets his fire color
addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_FIREFLOWER)
player.mo.color = SKINCOLOR_FIREAJ
   end
end)


---------------------------------------------------------------------------------------------------------------------------


//RETURN TO ORIGINAL SKIN
addHook("PlayerThink",function(player, mobj)
if player.mo.skin ~= "gunaj"
then return end

if (P_PlayerInPain(player)) and (player.powers[pw_shield] & SH_NONE)
R_SetPlayerSkin(player, normalajskin)

   end
end)

//if you die
addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if player.playerstate == PST_DEAD
R_SetPlayerSkin(player, normalajskin)
   end
end)



//super
addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (P_PlayerInPain(player))
R_SetPlayerSkin(player, normalajskin)
   end
end)



//if gun aj and super
addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if player.mo.state == S_PLAY_NIGHTS_TRANS1 or player.mo.state == S_PLAY_SUPER_TRANS1
R_SetPlayerSkin(player, normalajskin)
   end
end)

//if gun aj and super
addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if player.powers[pw_super]
R_SetPlayerSkin(player, normalajskin)
   end
end)

//sheildscale changes

--no shield :(
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_NONE)
player.mo.shieldscale = 0
   end
end)

addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_NONE)
player.mo.shieldscale = 0
   end
end)

--------------------------------------------------------------------------------------------------------------------------

--attraction
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_ATTRACT)
player.mo.shieldscale = 1
   end
end)

addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_ATTRACT)
R_SetPlayerSkin(player, normalajskin)
   end
end)

--------------------------------------------------------------------------------------------------------------------------

--force
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_FORCE)
player.mo.shieldscale = 1
   end
end)

addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_FORCE)
R_SetPlayerSkin(player, normalajskin)
   end
end)

--------------------------------------------------------------------------------------------------------------------------

--armageddon
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_ARMAGEDDON)
player.mo.shieldscale = 1
   end
end)

addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_ARMAGEDDON)
R_SetPlayerSkin(player, normalajskin)
   end
end)

--------------------------------------------------------------------------------------------------------------------------

--whirlwind
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_WHIRLWIND)
player.mo.shieldscale = 0
   end
end)

addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_WHIRLWIND)
player.mo.shieldscale = 0
   end
end)

--------------------------------------------------------------------------------------------------------------------------

--elemental
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_ELEMENTAL)
player.mo.shieldscale = 1
   end
end)

addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_ELEMENTAL)
R_SetPlayerSkin(player, normalajskin)
   end
end)

--------------------------------------------------------------------------------------------------------------------------

--flame
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_FLAMEAURA)
player.mo.shieldscale = 1
   end
end)

addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_WHIRLWIND)
R_SetPlayerSkin(player, normalajskin)
   end
end)

--------------------------------------------------------------------------------------------------------------------------

--bubble
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_BUBBLEWRAP)
player.mo.shieldscale = 1
   end
end)

addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_BUBBLEWRAP)
R_SetPlayerSkin(player, normalajskin)
   end
end)

--------------------------------------------------------------------------------------------------------------------------

--thunder
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_THUNDERCOIN)
player.mo.shieldscale = 1
   end
end)

addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_THUNDERCOIN)
R_SetPlayerSkin(player, normalajskin)
   end
end)

--------------------------------------------------------------------------------------------------------------------------

--pity
addHook("PlayerThink",function(player)
if player.mo.skin ~= "aj"
then return end

if (player.powers[pw_shield] & SH_PITY)
player.mo.shieldscale = 1
   end
end)

addHook("PlayerThink",function(player)
if player.mo.skin ~= "gunaj"
then return end

if (player.powers[pw_shield] & SH_PITY)
R_SetPlayerSkin(player, normalajskin)
   end
end)

--------------------------------------------------------------------------------------------------------------------------